Distribution:	ccux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>
Name: 		cpufrequtils
Version:	008
Release:	1
License:	GNU/GPL
URL:		http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
Group: 		System/Configuration/Hardware
Source0:	%{name}-%{version}.tar.bz2
Patch0:		cpufrequtils-mandir.patch 
Summary: 	cpufreq subsystem management tools
Provides: 	cpufrequtils
BuildRoot:	%{_builddir}/%{name}-%{version}-root
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
cpufrequtils consists of a library (libcpufreq) which offers an unified access method for userspace tools and programs to the CPU frequency and voltage scaling (cpufreq) subsystem in the Linux kernel, the "cpufreq-info" and "cpufreq-set" tools to determine and set cpufreq settings, and debug tools helpful if frequency scaling doesn't work as expected.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.


%prep
%setup -qn %{name}-%{version}
%patch0 -p1

%build
make %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-, root, root)
%{_bindir}/cpufreq-aperf
%{_bindir}/cpufreq-info
%{_bindir}/cpufreq-set
%{_libdir}/libcpufreq.so.*
%{_locale}/*/LC_MESSAGES/cpufrequtils.mo
%{_mandir}/man1/cpufreq-info.1.gz
%{_mandir}/man1/cpufreq-set.1.gz

%files devel
%defattr(-, root, root)
%{_includedir}/cpufreq.h
%{_libdir}/libcpufreq.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 008-1
- Version update
* Thu Apr 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 007-1
- Version update
* Tue Aug 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 005-1
- Version update
* Mon May 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 003-1
- Version update
* Thu Jun 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 002-1
- Version update
* Mon May 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 001-1
- initial release
